/*
 * BasicAPIs.fx
 *
 */

package apidemo1;

/**
 * @author Jeff Friesen
 */

// This source file provides all of the language/utility API demo scripts
// presented in the article. To run a script, comment out any uncommented
// script, and then uncomment the desired script.

import java.lang.System;

import javafx.lang.Duration;

var time1: Duration;
System.out.println (time1); // Output: 0.0ms

var time2 = 10m;
System.out.println (time2) // Output: 600000.0ms

/*
java.lang.System.out.println (10m+20s); // Output: 620000.0ms
java.lang.System.out.println (10m-20s); // Output: 580000.0ms
java.lang.System.out.println (1h/4); // Output: 900000.0ms
java.lang.System.out.println (1h*2.5) // Output: 9000000.0ms
*/

/*
var ages = [32, 23, 45, 19, 67, 98, 52];
java.lang.System.out.println (javafx.lang.Sequences.sort (ages, null))
// Output: [ 19, 23, 32, 45, 52, 67, 98 ]
*/

/*
var localizer = javafx.util.StringLocalizer 
                { 
                    key: "Welcome" 
                    propertiesName: "apidemo1.foo.bar.MyResources"                    
                }
java.lang.System.out.println (localizer.localizedString ());
localizer.locale = java.util.Locale.FRENCH;
java.lang.System.out.println (localizer.localizedString ())
*/
