/*
 * Animation.fx
 *
 */

package apidemo2;

/**
 * @author Jeff Friesen
 */

// This source file provides all of the keyframe animation API demo scripts
// presented in the article. To run a script, comment out any uncommented
// script, and then uncomment the desired script.

var timeline = javafx.animation.Timeline 
{
     autoReverse: true // reverse direction on each cycle
     repeatCount: javafx.animation.Timeline.INDEFINITE // never stop 
     
     var i on replace { java.lang.System.out.println (i) }
     
     var begin = at (0s)
                 {
                     i => 30
                 }
                 
     var end = at (10s)
               {
                   i => 40 tween javafx.animation.Interpolator.LINEAR
               }
               
     keyFrames: [begin, end]
}
timeline.start ()

/*
var timeline = javafx.animation.Timeline 
{
     autoReverse: true // reverse direction on each cycle
     repeatCount: javafx.animation.Timeline.INDEFINITE // never stop 
     
     var i on replace { java.lang.System.out.println (i) }
     
     var begin = at (0s)
                 {
                     i => 30
                 }
                 
     var end = at (10s)
               {
                   i => 40 tween javafx.animation.Interpolator.LINEAR
               }
               
     keyFrames: [begin, end]
}
timeline.start ()
*/
